enum TimerType {
  DAYS_HOURS_MINUTES_SECONDS,
  HOURS_MINUTES_SECONDS,
  MINUTES_SECONDS,
  SECONDS,
}

extension TimerTypeUtils on TimerType {
  bool get showDays => this == TimerType.DAYS_HOURS_MINUTES_SECONDS;

  bool get showHours => showDays || this == TimerType.HOURS_MINUTES_SECONDS;

  bool get showMinutes =>
      showDays || showHours || this == TimerType.MINUTES_SECONDS;
}
